Katello - Bug #4764

Can not extract strings for Katello
03/21/2014 12:38 PM - Bryan Kearney

Status: Resolved
Priority: High
Assignee: Eric Helms
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/386
5
Description

If I disable the katello plugin, | can extract the strings for Foreman. However, if | following the old commands for extacting strings for
katello [1] | get a katello.pot file but it contains foreman strings. | need some way to extract and update the katello strings.

please update the README in the katello locale meeting and the page below.

[1] https://fedorahosted.org/katello/wiki/I18N

History

#1 - 03/21/2014 12:50 PM - Dominic Cleal

I'd suggest looking at the Foreman-provided method for extracting strings from plugins, see discovery and bootdisk for examples.

#2 - 03/21/2014 06:12 PM - Bryan Kearney
See https://github.com/Katello/katello/pull/3865

#3 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#4 - 03/21/2014 08:20 PM - Mike McCune
- Triaged deleted (Yes)

#5 - 03/21/2014 09:40 PM - Mike McCune
- Category set to Web Ul
- Assignee set to Bryan Kearney

- Triaged set to Yes

#6 - 04/07/2014 04:25 PM - Eric Helms

- Assignee changed from Bryan Kearney to Eric Helms

#7 - 08/18/2014 02:07 PM - Eric Helms
- Status changed from New to Resolved

- Pull request https://github.com/Katello/katello/pull/3865 added

#8 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
